dnl Process this file with autoconf to produce a configure script.   

AC_INIT(emcDB.C)

AC_CANONICAL_SYSTEM


case "$host" in
*-*-linux*)
  CXX=g++
  CXXFLAGS=-g
  LDFLAGS="-g"
  ;;
*-*-hpux*)
  CXX=aCC
  CXXFLAGS="-g +Z"
  LDFLAGS="-g -z"
  ;;
*-*-solaris*)
  CXX=CC
  CXXFLAGS="-KPIC -g "
  LDFLAGS="-g "
  ;;
  *)
  AC_MSG_ERROR([default compiler unknown for this system!])
  ;;
esac         

AC_FIND_ROOT
AC_FUNC_ASINH_INLINE
AM_INIT_AUTOMAKE(emcDB, 0.1)
AM_DISABLE_STATIC
AC_PROG_LIBTOOL

dnl Checks for programs.
AC_PROG_CXX

AC_OUTPUT(Makefile) 
